.interface {
    width: 700px;
    height: 90vh;
    display: flex;
    box-shadow: 0 0 10px rgb(109, 109, 109);
    border-radius: 5px;
    overflow: hidden;
}

.users {
    width: 230px;
    background-color: #fafafa;
    height: 100%;
    border-right: 1px solid rgb(211, 211, 211);
    transition-duration: .2s;
}

.avatar {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-image: url(../../../assets/img/avatar-f.jpg);
    background-position: center;
    background-size: cover;
    margin-right: 15px;
    border: 1px solid rgb(165, 165, 165);
}

.users > div:first-child {
    height: 50px;
    display: flex;
    align-items: center;
    padding: 0 20px;
    background-color: #373737;
    color: white;
    font-weight: bold;
}

.connect {
    overflow-y: auto;
    height: calc(100% - 100px);
}

.connect::-webkit-scrollbar {
    display: none;
}

.connect > div {
    height: 60px;
    background-color: #eeeeee;
    border-bottom: 1px solid rgb(222, 222, 222);
    cursor: pointer;
    transition-duration: .4s;
    display: flex;
    padding: 0 15px;
    align-items: center;
    justify-content: space-between;
}

.connect > div > div:first-child {
    display: flex;
    align-items: center;
}

.connect > div:hover {
    background-color: #b8d4ca;
}

.username {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100px;
}

.connect > div > span:last-child {
    width: 20px;
    height: 20px;
    color: #fafafa;
    background-color: rgb(124, 124, 164);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: .8em;
}

.chat {
    background-image: url(../../../assets/img/bg_ws.jpg);
    width: calc(100% - 230px);
    display: flex;
    flex-direction: column;
}

.recipient-exist{
    height: 100%;
    display: flex;
    flex-direction: column;
}

.no-recipient {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    position: relative;
}

.no-recipient > svg:first-child {
    position: absolute;
    top: 15px;
    right: 15px;
    font-size: 2.3em;
    fill: rgb(60, 60, 60);
}

.chat-logo {
    fill: grey;
    font-size: 3em;
}

.no-recipient > p {
    margin-top: 20px;
    font-size: 1.1em;
    width: 60%;
    text-align: center;
}

.chat__header {
    background-color: #dcdcdc;
    min-height: 50px;
    color: #4c5f58;
    font-size: 1.1em;
    font-weight: bold;
    display: flex;
    align-items: center;
    padding: 0 20px;
}
    
.chat__header > svg {
    margin-left: auto;
    fill: grey;
    cursor: pointer;
    transition-duration: .2s;
}

.chat__header > svg:hover {
    fill: #92afa4;
}

.chat__header__avatar {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-image: url(../../../assets/img/avatar-f.jpg);
    background-position: center;
    background-size: cover;
    margin-right: 15px;
    border: 1px solid rgb(165, 165, 165);
}

.chat__messages {
    display: flex;
    flex-direction: column-reverse;
    overflow-y: auto;
    height: 100%;
    flex-grow: 1;
    position: relative;
}

.message {
    max-width: 43%;
    color: white;
    padding: 10px 10px 5px 10px;
    border-radius: 10px;
    margin: 5px 20px;
    font-size: 0.9em;
    display: flex;
    flex-direction: column;
    position: relative;
}

.message > p {
    overflow-wrap: break-word;
}

.message > span {
    font-size: 0.7em;
    width: 100%;
    text-align: right;
    color: rgb(233, 233, 233);
    margin-top: 5px;
}

.myMsg {
    background-color: #92afa4;
    margin-left: auto;
    border-bottom-right-radius: 0px;
}

.myMsg::after {
    content: '';
    position: absolute;
    bottom: 0;
    right: -8px;
    width: 0px;
    height: 0px;
    border-top: 15px solid transparent;
    border-left: 10px solid #92afa4;
}

.otherMsg {
    background-color: rgb(124, 124, 164);
    margin-right: auto;
    border-bottom-left-radius: 0px;
}

.otherMsg::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: -8px;
    width: 0px;
    height: 0px;
    border-top: 15px solid transparent;
    border-right: 10px solid rgb(124, 124, 164);
}

.isWriting {
    position: absolute;
    background-color: #d7d7d7d6;
    padding: 5px 10px;
    font-size: 0.8em;
    left: 20px;
    bottom: 5px;
    border-radius: 10px;
}

.chat__send {
    padding: 10px 20px;
    background-color: #fbfbfb;
    display: flex;
    align-items: flex-end;
}


.chat__send > textarea {
    padding: 10px;
    min-height: 18px;
    width: 100%;
    border: 1px solid #b6b6b6;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    resize: none;
    max-height: 100px;
    overflow-y: auto;
}

.chat__send > textarea:focus {
    outline: none;
    border-top: 1px solid #92afa4;
    border-left: 1px solid #92afa4;
    border-bottom: 1px solid #92afa4;
}

.chat__send > button {
    display: flex;
    height: 40px;
    width: 50px;
    border: none;
    justify-content: center;
    align-items: center;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    cursor: pointer;
    background-color: #92afa4;
    transition-duration: .2s;
    border-top: 1px solid #b6b6b6;
    border-right: 1px solid #b6b6b6;
    border-bottom: 1px solid #b6b6b6;
}

.chat__send > button:hover {
    background-color: #7d978d;
}

.chat__send > button > svg {
    fill: #fbfbfb;
}

.btn-logout {
    height: 50px;
    padding: 0px 15px;
    border: none;
    display: flex;
    align-items: center;
    color: white;
    background-color: #3f544b;
    cursor: pointer;
    border-bottom-right-radius: 5px;
    transition-duration: .2s;
}

.btn-logout:hover {
    background-color: #33443d;
}

.btn-logout > svg {
    font-size: 2em;
    margin-right: 10px;
    fill: white;
}

.logout-desktop {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
}

.logout-mobile {
    width: 100%;
    border-radius: 0;
    display: none;
}

.loader_spinner {
    color: #92afa4;
    font-size: 36px;
    text-indent: -9999em;
    overflow: hidden;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: absolute;
    transform: translateZ(0);
    animation: mltShdSpin 1.7s infinite ease, round 1.7s infinite ease;
    top: calc(50% - 18px);
    left: calc(50% - 18px);
}

@keyframes mltShdSpin {
    0% {
        box-shadow: 0 -0.83em 0 -0.4em,
        0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em,
        0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    5%,
    95% {
        box-shadow: 0 -0.83em 0 -0.4em, 
        0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 
        0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    10%,
    59% {
        box-shadow: 0 -0.83em 0 -0.4em, 
        -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, 
        -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }
    20% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em,
        -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, 
        -0.749em -0.34em 0 -0.477em;
    }
    38% {
        box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em,
        -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, 
        -0.82em -0.09em 0 -0.477em;
    }
    100% {
        box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 
        0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}

@keyframes round {
    0% { transform: rotate(0deg) }
    100% { transform: rotate(360deg) }
}

.toggleMenu-mobile {
    display: none;
}
   
@media (max-width: 720px) {
    .interface {
        width: 100vw;
        height: 100vh;
    }

    .logout-desktop {
        display: none;
    }

    .logout-mobile {
        display: flex;
    }
    
    .users {
        position: fixed;
        top: 0;
        right: -230px;
        z-index: 1000;
    }

    .chat {
        width: 100%;
    }

    .toggleMenu-mobile {
        display: block !important;
    }
}